#pragma once

#include "CoreMinimal.h"
#include "KillerAnimInstance.h"
#include "UObject/NoExportTypes.h"
#include "K37AnimInstance.generated.h"

UCLASS(Blueprintable, NonTransient)
class UK37AnimInstance : public UKillerAnimInstance
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FVector _meshScale;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _isInVampireForm;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _isInBatForm;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _isInWolfForm;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _enableWolfIk;

public:
	UK37AnimInstance();
};

FORCEINLINE uint32 GetTypeHash(const UK37AnimInstance) { return 0; }
